cURL
curl --request PUT \
--url https://app-api.aide.app/v1/conversations/{id}/messages/{messageId}/sender \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://app-api.aide.app/v1/conversations/{id}/messages/{messageId}/sender"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://app-api.aide.app/v1/conversations/{id}/messages/{messageId}/sender', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/conversations/{id}/messages/{messageId}/sender",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/conversations/{id}/messages/{messageId}/sender"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://app-api.aide.app/v1/conversations/{id}/messages/{messageId}/sender")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/conversations/{id}/messages/{messageId}/sender")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"data": {
"object": "message",
"topics": [
{
"name": "<string>",
"id": "<string>",
"emoji": "<string>",
"description": "<string>",
"confidence": 123,
"example": {
"id": "<string>",
"isPositive": true
}
}
],
"attachments": [
{
"unavailable": "blocked",
"url": "<string>",
"name": "<string>",
"id": "<string>",
"kind": "audio",
"size": 123,
"thumbnailUrl": "<string>",
"inline": true,
"mime": "<string>"
}
],
"createdAt": "<string>",
"id": "<string>",
"from": {
"name": "<string>",
"address": "<string>"
},
"billing": {
"category": "<string>",
"billable": true,
"pricingModel": "<string>"
},
"kind": "<string>",
"to": {
"name": "<string>",
"address": "<string>"
},
"body": "<string>",
"blocks": [
{
"kind": "resolution_check",
"answered": "not_yet"
}
],
"htmlBody": "<string>",
"knowledge": [
{
"url": "<string>",
"title": "<string>",
"feedback": true,
"snippet": "<string>",
"documentId": "<string>",
"score": 123,
"sourceName": "<string>"
}
],
"author": {
"name": "<string>",
"id": "<string>",
"avatarUrl": "<string>",
"initials": "<string>"
},
"sender": {
"reason": "auto_reply",
"outcome": "automated",
"ruleId": "<string>",
"decidedBy": "default",
"ruleName": "<string>",
"relayedBy": {
"name": "<string>",
"address": "<string>"
}
},
"reactions": [
{
"at": "<string>",
"emoji": "<string>",
"by": "<string>"
}
],
"suggestedTopic": {
"name": "<string>",
"id": "<string>",
"description": "<string>",
"groupName": "<string>",
"messageCount": 123
},
"authoredBy": "aide",
"public": true,
"rendered": [
{
"kind": "rich",
"payload": {},
"element": "cards"
}
],
"interaction": {
"id": "<string>",
"kind": "button_reply",
"payload": {
"kind": "offer_choice",
"offerId": "<string>",
"choice": "accept"
},
"comment": "<string>"
},
"delivery": {
"status": "delivered",
"failedReason": "capability"
}
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}MessageSender
Put v1conversations messages sender
PUT
/
v1
/
conversations
/
{id}
/
messages
/
{messageId}
/
sender
cURL
curl --request PUT \
--url https://app-api.aide.app/v1/conversations/{id}/messages/{messageId}/sender \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://app-api.aide.app/v1/conversations/{id}/messages/{messageId}/sender"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://app-api.aide.app/v1/conversations/{id}/messages/{messageId}/sender', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/conversations/{id}/messages/{messageId}/sender",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/conversations/{id}/messages/{messageId}/sender"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://app-api.aide.app/v1/conversations/{id}/messages/{messageId}/sender")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/conversations/{id}/messages/{messageId}/sender")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"data": {
"object": "message",
"topics": [
{
"name": "<string>",
"id": "<string>",
"emoji": "<string>",
"description": "<string>",
"confidence": 123,
"example": {
"id": "<string>",
"isPositive": true
}
}
],
"attachments": [
{
"unavailable": "blocked",
"url": "<string>",
"name": "<string>",
"id": "<string>",
"kind": "audio",
"size": 123,
"thumbnailUrl": "<string>",
"inline": true,
"mime": "<string>"
}
],
"createdAt": "<string>",
"id": "<string>",
"from": {
"name": "<string>",
"address": "<string>"
},
"billing": {
"category": "<string>",
"billable": true,
"pricingModel": "<string>"
},
"kind": "<string>",
"to": {
"name": "<string>",
"address": "<string>"
},
"body": "<string>",
"blocks": [
{
"kind": "resolution_check",
"answered": "not_yet"
}
],
"htmlBody": "<string>",
"knowledge": [
{
"url": "<string>",
"title": "<string>",
"feedback": true,
"snippet": "<string>",
"documentId": "<string>",
"score": 123,
"sourceName": "<string>"
}
],
"author": {
"name": "<string>",
"id": "<string>",
"avatarUrl": "<string>",
"initials": "<string>"
},
"sender": {
"reason": "auto_reply",
"outcome": "automated",
"ruleId": "<string>",
"decidedBy": "default",
"ruleName": "<string>",
"relayedBy": {
"name": "<string>",
"address": "<string>"
}
},
"reactions": [
{
"at": "<string>",
"emoji": "<string>",
"by": "<string>"
}
],
"suggestedTopic": {
"name": "<string>",
"id": "<string>",
"description": "<string>",
"groupName": "<string>",
"messageCount": 123
},
"authoredBy": "aide",
"public": true,
"rendered": [
{
"kind": "rich",
"payload": {},
"element": "cards"
}
],
"interaction": {
"id": "<string>",
"kind": "button_reply",
"payload": {
"kind": "offer_choice",
"offerId": "<string>",
"choice": "accept"
},
"comment": "<string>"
},
"delivery": {
"status": "delivered",
"failedReason": "capability"
}
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Authorizations
An access token, bound to one account.
Body
application/json
Response
OK
Show child attributes
Show child attributes